Substy Developers
Team

List assignable team roles

List only roles the current account can assign to agency members or invitations. Use these role IDs when inviting members or changing roles.

GET/v1/agencies/{agencyId}/team/grantable-roles

List only roles the current account can assign to agency members or invitations. Use these role IDs when inviting members or changing roles.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/team/grantable-roles" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": [    {      "_count": {        "members": 0      },      "description": null,      "agencyId": "string",      "permissions": [        "string"      ],      "dataVisibility": "SELF",      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "name": "string",      "updatedAt": "2019-08-24T14:15:22Z",      "color": "string",      "isSystem": true,      "isDefault": true    }  ],  "meta": {    "requestId": "string"  }}